Package net.snowflake.client.api.loader

## Enum Operation

- java.lang.Object
- - java.lang.Enum<Operation>
  - - net.snowflake.client.api.loader.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<Operation>`

    public enum Operation
    extends Enum<Operation>

Operations supported by the Snowflake Loader API.

These operations define how data is loaded into the target table. The operation type is specified via the `LoaderProperty.operation` property.

See Also:
  `Loader`, `LoaderFactory`, `LoaderProperty.operation`

### Enum Constant Summary

Enum Constants
`DELETE` Delete rows from the target table based on keys
`INSERT` Insert new rows into the target table
`MODIFY` Modify existing rows in the target table
`UPSERT` Insert new rows or update existing rows (update-or-insert)

### Method Summary

All Methods Static Methods Concrete Methods
`static Operation` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Operation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSERT

    public static final Operation INSERT

Insert new rows into the target table

#### DELETE

    public static final Operation DELETE

Delete rows from the target table based on keys

#### MODIFY

    public static final Operation MODIFY

Modify existing rows in the target table

#### UPSERT

    public static final Operation UPSERT

Insert new rows or update existing rows (update-or-insert)

### Method Detail

#### values

    public static Operation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Operation c : Operation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Operation valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null